#!/bin/bash
#
# Installation script for Linux
#
# What it mostly does is add the needed build Makefile pieces to the directory
# tree as apparently not everybody wants to have them around if they're not
# using them.
#
# Somwehat more usefully, it also makes sure you have a ./bin directory in
# which to install the binary.

# This is intended to be run from the Linux subdirectory where it is located.

tar -xf Rules.tgz -C ..

# check for the existence of the ./bin directory.

if [ ! -d $HOME/bin ]
then
    mkdir $HOME/bin
fi
