function BarGraph(p)
{
	BarGraph.prototype.Init = function(data)
	{
		this.inited = true;

		this.bar = new Array(0);
		d = data[this.module][this.source];
		this.sizey = d.length;
		this.sizex = d[0].length;
		var size = this.sizex*this.sizey;
		var bar_width = (p.width-4-15)/size;
		for(var i=0; i<size; i++)
			this.bar.push(this.graph.AddRect(6+bar_width*i, 2, bar_width, this.bottom, '#AAAAEE', '#555555'));

		this.graph.AddText(this.width-1, 10, this.max, 40, 12, 'end');
		this.graph.AddText(this.width-1, this.height-3, this.min, 40, 12, 'end');
	}

	BarGraph.prototype.Update = function(data)
	{
		if(!this.inited) this.Init(data);

		d = data[this.module][this.source];

		var b=0;
		for(var j=0; j<this.sizey; j++)
			for(var i=0; i<this.sizex; i++)
			{
				v = this.scale*(d[j][i]-this.min);
				if(v > this.zero)
				{
					this.bar[b].setAttribute("height", v-this.zero);
					this.bar[b].setAttribute("y", this.bottom-v);
					this.bar[b].setAttribute("fill", '#AAAAEE');
				}
				else
				{
					this.bar[b].setAttribute("height", this.zero-v);
					this.bar[b].setAttribute("y", this.bottom-this.zero);
					this.bar[b].setAttribute("fill", '#EEAAAA');
				}
				b++;
			}
	}

	this.inited = false;
	this.graph = new Graph(p, p.module+'.'+p.source);
	this.graph.group.setAttribute("shape-rendering", "crispEdges");

	this.module = p.module;
	this.source = p.source;

	this.width = p.width;
	this.height = p.height-6;
	this.min = (p.min ? p.min : 0);
	this.max = (p.max ? p.max : 1);
	this.scale = (this.height-6)/(this.max-this.min);
	this.zero = this.scale*(0-this.min);
	this.bottom = this.height-6;

	this.graph.AddLine(0, this.bottom-this.zero, this.width+16, this.bottom-this.zero, '#303030', 1);

	this.bar = null;

	usesData(this.module, this.source);
}

