function ScatterPlot(p)
{
	ScatterPlot.prototype.Init = function(data)
	{
		this.inited = true;

		this.dot = new Array(0);
		d = data[this.module][this.source];
		this.sizex = d[0].length;
		this.sizey = d.length;

		for(var i=0; i<this.sizey; i++)
			this.dot.push(this.graph.AddCircle((d[i][0]-this.min)*this.scale * this.width, (d[i][1]-this.min)*this.scale * this.height, 2, 'white'));
	}

	ScatterPlot.prototype.Update = function(data)
	{
		if(!this.inited) this.Init(data);

		d = data[this.module][this.source];

		for(var i=0; i<this.sizey; i++)
			{
				this.dot[i].setAttribute("cx", (d[i][0]-this.min)*this.scale * this.width);
				this.dot[i].setAttribute("cy", (d[i][1]-this.min)*this.scale * this.height);
			}
	}

	this.inited = false;
	this.graph = new Graph(p, p.module+'.'+p.source);

	this.module = p.module;
	this.source = p.source;

	this.width = p.width;
	this.height = p.height;
	this.min = (p.min ? p.min : 0);
	this.max = (p.max ? p.max : 1);
	this.scale = (this.max-this.min);

	this.dot = null;

	usesData(this.module, this.source);
}

