function Vector(p)
{
	Vector.prototype.Update = function(data)
	{
		if(this.module)
		{
			d = data[this.module][this.source];
			a = d[0][0];
			b = d[0][1];
			L = Math.sqrt(a*a+b*b);
			if(L != 0) {
				a /= L;
				b /= L;
			}
			this.line.setAttribute('x2', this.cx+(this.r-10)*a);
			this.line.setAttribute('y2', this.cy+(this.r-10)*b);
		}
		
		if(this.module2)
		{
			d = data[this.module2][this.source2];
			a = d[0][0];
			b = d[0][1];
			L = Math.sqrt(a*a+b*b);
			if(L != 0) {
				a /= L;
				b /= L;
			}
			this.line2.setAttribute('x2', this.cx+this.r*a);
			this.line2.setAttribute('y2', this.cy+this.r*b);
		}

		if(this.area_module)
		{
			this.area_circle.setAttribute('r', this.r*data[this.area_module][this.area_source][0][0]);
		}

	}

	this.graph = new Graph(p, p.module+'.'+p.source);
	this.module = p.module;
	this.source = p.source;

	this.module2 = p.module2;
	this.source2 = p.source2;

	this.area_module = p.area_module;
	this.area_source = p.area_source;

	this.width = p.width; // +4
	this.height = p.height;
	this.cx = this.width/2;
	this.cy = this.height/2;
	this.r = this.cx-6;
    
	this.c = this.graph.AddCircle(this.cx,  this.cy,  this.r, 'white', 'black');

	if(this.area_module)
	{
		this.area_circle = this.graph.AddCircle(this.cx, this.cy, 20, '#DDDDDD');
	}
	
	if(this.module2)
	{
		this.line2 = this.graph.AddLine(this.cx, this.cy, this.r, 8,  (p.color2 ? p.color2 : 'gray'), 1);
	}
	
	this.line = this.graph.AddLine(this.width/2, this.height/2, this.r, 12, (p.color ? p.color : 'black'), 3);
	this.line.setAttribute("marker-end", "url(#Triangle)");
	
	if(this.module) usesData(this.module, this.source);
	if(this.module2) usesData(this.module2, this.source2);
	if(this.area_module) usesData(this.area_module, this.area_source);
}
