### Makefile fragment for WebUI
#
# 2007, Jan Moren
#

### a stack to keep track of the current directory

sp 		:= $(sp).x
dirstack_$(sp)	:= $(d)
d		:= $(dir)

### Object files, source files, includes and libraries
#
# edit as needed - don't forget to prefix with "$(d)" as 
# we are building from the top directory
#

# Object files to be built and linked
OBJ		:= $(d)/WebUI.o 

# Source files we depend on - don't forget the prefix
SRC		:= $(d)/WebUI.cc $(d)/WebUI.h \
		Kernel/main.o

# Additional libraries
LIB		:=

# Additional includes
INC		:=


# propagate 
OBJS		:= $(OBJS) $(OBJ)
LIBS		:= $(LIBS) $(LIB)
INCS		:= $(INCS) $(INC)
CLEAN		:= $(CLEAN) $(OBJ) 

# generic build rule; do a custom build here if you have special needs
# You can do a recursive make here if you want to build a complex
# existing subproject

$(OBJ):	$(SRC)


### Add additional build directories if you want/need
#
# Any place is fine as long as the path in "dir" is correct
# from the top Makefile

# dir             := $(d)/Userdir
# include         $(dir)/Rules.mk


### Pop the directory stack and move on

d		:= $(dirstack_$(sp))
sp		:= $(basename $(sp))

