function Marker(p)
{
	Marker.prototype.Update = function(data)
	{
		if(this.image)
			d = data[this.module][this.source];
			mx = this.width*d[0][0];
			my = this.height*d[0][1];

			this.markerV.setAttribute("x1", mx);
			this.markerV.setAttribute("x2", mx);
			this.markerV.setAttribute("y1", my-10);
			this.markerV.setAttribute("y2", my+10);

			this.markerH.setAttribute("x1", mx-10);
			this.markerH.setAttribute("x2", mx+10);
			this.markerH.setAttribute("y1", my);
			this.markerH.setAttribute("y2", my);
	}

    if(!p.frame)
        p.frame = 'none';

	this.graph = new Graph(p, p.module+'.'+p.source);
	
	this.module = p.module;
	this.source = p.source;
	this.width = p.width;
	this.height = p.height;

	if(p.module) // Should be clipped
	{
		this.module = p.module;
		this.source = p.source;
		mx = p.width/2;
		my = p.height/2;
		cx = p.width/2;
		cy = p.height/2;
		this.markerV = this.graph.AddLine(mx-8, cy, mx+8, my, 'yellow', 3);
		this.markerH = this.graph.AddLine(mx, my-8, mx, cy+8, 'yellow', 3);
		usesData(this.module, this.source);
	}	
}

