function Table(p)
{
	Table.prototype.Init = function(data)
	{
		this.inited = true;

		d = data[this.module][this.source];

		this.sizey = d.length;
		this.sizex = d[0].length;
		
		var box_width = (this.width-4)/this.sizex;
		var box_height = (this.height-4)/this.sizey;
	
		this.box = new Array(this.sizey);
	
		for(var j=0; j<this.sizey; j++)
		{
			this.box[j] = new Array(this.sizex);
			for(var i=0; i<this.sizex; i++)
				this.box[j][i] = this.graph.AddText(box_width*(i+1)-2, box_height*(j+1)-14, '0', box_width, box_height, 'end');
		}
	}
	
	
	Table.prototype.Update = function(data)
	{
		if(!this.inited) this.Init(data);

		d = data[this.module][this.source];
		
		for(var j=0; j<this.sizey; j++)
			for(var i=0; i<this.sizex; i++)
					this.box[j][i].firstChild.nodeValue = d[j][i];
	}

	this.inited = false;
	this.graph = new Graph(p, p.module+'.'+p.source);
	this.module = p.module;
	this.source = p.source;
	this.width = p.width;
	this.height = p.height;
		
	usesData(this.module, this.source);
}

