function Trace(p)
{
	Trace.prototype.Update = function(data)
	{		
		if(this.module)
		{
			d = data[this.module][this.source];
			tx = this.width*d[0][0];
			ty = this.height*d[0][1];
			
			this.trace[this.trace_cur].setAttribute("x2", tx); 
			this.trace[this.trace_cur].setAttribute("y2", ty);
			
			this.trace[this.trace_cur].setAttribute("x1", this.trace_last_x);
			this.trace[this.trace_cur].setAttribute("y1", this.trace_last_y);

			this.trace_last_x = tx;
			this.trace_last_y = ty;
			
			this.trace_cur++;
			if(this.trace_cur >= this.length)
				this.trace_cur = 0;
		}
	}

	this.graph = new Graph(p, p.module+'.'+p.source);
	
	this.module = p.module;
	this.source = p.source;
	this.width = p.width;
	this.height = p.height;

	this.length = (p.length ? p.length : 10);
	this.color = (p.color ? p.color : 'yellow');
	this.trace_width = (p.trace_width ? p.trace_width : 1);

	tx = p.width/2;
	ty = p.height/2;

	this.trace = new Array(0);
	for(var i=0; i<this.length; i++)
		this.trace.push(this.graph.AddLine(tx, ty, tx+0.01, ty, this.color, this.trace_width));
		
	this.trace_cur = 0;
	this.trace_last_x = tx;
	this.trace_last_y = ty;

	usesData(this.module, this.source);
}
